#' Access files in the current app inside the inst/ folder
#'
#' @param ... Character vector specifying directory and/or file to
#'     point to inside the current package.
#'
#' @noRd
app_sys <- function(...){
    system.file(..., package = "wpm")
}

#' Read App Config
#'
#' @param value Value to retrieve from the config file.
#' @param config R_CONFIG_ACTIVE value.
#' @param use_parent Logical, scan the parent directory for config file.
#'#'
#' @noRd
get_golem_config <- function(value,
                            config = Sys.getenv("R_CONFIG_ACTIVE", "default"),
                            use_parent = TRUE){
    config::get(value = value,
                config = config,
                file = app_sys("golem-config.yml"),
                use_parent = use_parent
    )
}
